config.status 41 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216
  1. #! /bin/bash
  2. # Generated by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6. debug=false
  7. ac_cs_recheck=false
  8. ac_cs_silent=false
  9. SHELL=${CONFIG_SHELL-/bin/bash}
  10. ## --------------------- ##
  11. ## M4sh Initialization. ##
  12. ## --------------------- ##
  13. # Be Bourne compatible
  14. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  15. emulate sh
  16. NULLCMD=:
  17. # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  18. # is contrary to our usage. Disable this feature.
  19. alias -g '${1+"$@"}'='"$@"'
  20. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  21. set -o posix
  22. fi
  23. DUALCASE=1; export DUALCASE # for MKS sh
  24. # Support unset when possible.
  25. if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  26. as_unset=unset
  27. else
  28. as_unset=false
  29. fi
  30. # Work around bugs in pre-3.0 UWIN ksh.
  31. $as_unset ENV MAIL MAILPATH
  32. PS1='$ '
  33. PS2='> '
  34. PS4='+ '
  35. # NLS nuisances.
  36. for as_var in \
  37. LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  38. LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  39. LC_TELEPHONE LC_TIME
  40. do
  41. if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  42. eval $as_var=C; export $as_var
  43. else
  44. $as_unset $as_var
  45. fi
  46. done
  47. # Required to use basename.
  48. if expr a : '\(a\)' >/dev/null 2>&1; then
  49. as_expr=expr
  50. else
  51. as_expr=false
  52. fi
  53. if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
  54. as_basename=basename
  55. else
  56. as_basename=false
  57. fi
  58. # Name of the executable.
  59. as_me=`$as_basename "$0" ||
  60. $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
  61. X"$0" : 'X\(//\)$' \| \
  62. X"$0" : 'X\(/\)$' \| \
  63. . : '\(.\)' 2>/dev/null ||
  64. echo X/"$0" |
  65. sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
  66. /^X\/\(\/\/\)$/{ s//\1/; q; }
  67. /^X\/\(\/\).*/{ s//\1/; q; }
  68. s/.*/./; q'`
  69. # PATH needs CR, and LINENO needs CR and PATH.
  70. # Avoid depending upon Character Ranges.
  71. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  72. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  73. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  74. as_cr_digits='0123456789'
  75. as_cr_alnum=$as_cr_Letters$as_cr_digits
  76. # The user is always right.
  77. if test "${PATH_SEPARATOR+set}" != set; then
  78. echo "#! /bin/sh" >conf$$.sh
  79. echo "exit 0" >>conf$$.sh
  80. chmod +x conf$$.sh
  81. if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  82. PATH_SEPARATOR=';'
  83. else
  84. PATH_SEPARATOR=:
  85. fi
  86. rm -f conf$$.sh
  87. fi
  88. as_lineno_1=$LINENO
  89. as_lineno_2=$LINENO
  90. as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  91. test "x$as_lineno_1" != "x$as_lineno_2" &&
  92. test "x$as_lineno_3" = "x$as_lineno_2" || {
  93. # Find who we are. Look in the path if we contain no path at all
  94. # relative or not.
  95. case $0 in
  96. *[\\/]* ) as_myself=$0 ;;
  97. *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  98. for as_dir in $PATH
  99. do
  100. IFS=$as_save_IFS
  101. test -z "$as_dir" && as_dir=.
  102. test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  103. done
  104. ;;
  105. esac
  106. # We did not find ourselves, most probably we were run as `sh COMMAND'
  107. # in which case we are not to be found in the path.
  108. if test "x$as_myself" = x; then
  109. as_myself=$0
  110. fi
  111. if test ! -f "$as_myself"; then
  112. { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
  113. echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
  114. { (exit 1); exit 1; }; }
  115. fi
  116. case $CONFIG_SHELL in
  117. '')
  118. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  119. for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
  120. do
  121. IFS=$as_save_IFS
  122. test -z "$as_dir" && as_dir=.
  123. for as_base in sh bash ksh sh5; do
  124. case $as_dir in
  125. /*)
  126. if ("$as_dir/$as_base" -c '
  127. as_lineno_1=$LINENO
  128. as_lineno_2=$LINENO
  129. as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  130. test "x$as_lineno_1" != "x$as_lineno_2" &&
  131. test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
  132. $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
  133. $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
  134. CONFIG_SHELL=$as_dir/$as_base
  135. export CONFIG_SHELL
  136. exec "$CONFIG_SHELL" "$0" ${1+"$@"}
  137. fi;;
  138. esac
  139. done
  140. done
  141. ;;
  142. esac
  143. # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  144. # uniformly replaced by the line number. The first 'sed' inserts a
  145. # line-number line before each line; the second 'sed' does the real
  146. # work. The second script uses 'N' to pair each line-number line
  147. # with the numbered line, and appends trailing '-' during
  148. # substitution so that $LINENO is not a special case at line end.
  149. # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  150. # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
  151. sed '=' <$as_myself |
  152. sed '
  153. N
  154. s,$,-,
  155. : loop
  156. s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
  157. t loop
  158. s,-$,,
  159. s,^['$as_cr_digits']*\n,,
  160. ' >$as_me.lineno &&
  161. chmod +x $as_me.lineno ||
  162. { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
  163. echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
  164. { (exit 1); exit 1; }; }
  165. # Don't try to exec as it changes $[0], causing all sort of problems
  166. # (the dirname of $[0] is not the place where we might find the
  167. # original and so on. Autoconf is especially sensible to this).
  168. . ./$as_me.lineno
  169. # Exit status is that of the last command.
  170. exit
  171. }
  172. case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  173. *c*,-n*) ECHO_N= ECHO_C='
  174. ' ECHO_T=' ' ;;
  175. *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  176. *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
  177. esac
  178. if expr a : '\(a\)' >/dev/null 2>&1; then
  179. as_expr=expr
  180. else
  181. as_expr=false
  182. fi
  183. rm -f conf$$ conf$$.exe conf$$.file
  184. echo >conf$$.file
  185. if ln -s conf$$.file conf$$ 2>/dev/null; then
  186. # We could just check for DJGPP; but this test a) works b) is more generic
  187. # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  188. if test -f conf$$.exe; then
  189. # Don't use ln at all; we don't have any links
  190. as_ln_s='cp -p'
  191. else
  192. as_ln_s='ln -s'
  193. fi
  194. elif ln conf$$.file conf$$ 2>/dev/null; then
  195. as_ln_s=ln
  196. else
  197. as_ln_s='cp -p'
  198. fi
  199. rm -f conf$$ conf$$.exe conf$$.file
  200. if mkdir -p . 2>/dev/null; then
  201. as_mkdir_p=:
  202. else
  203. test -d ./-p && rmdir ./-p
  204. as_mkdir_p=false
  205. fi
  206. as_executable_p="test -f"
  207. # Sed expression to map a string onto a valid CPP name.
  208. as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  209. # Sed expression to map a string onto a valid variable name.
  210. as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  211. # IFS
  212. # We need space, tab and new line, in precisely that order.
  213. as_nl='
  214. '
  215. IFS=" $as_nl"
  216. # CDPATH.
  217. $as_unset CDPATH
  218. exec 6>&1
  219. # Open the log real soon, to keep \$[0] and so on meaningful, and to
  220. # report actual input values of CONFIG_FILES etc. instead of their
  221. # values after options handling. Logging --version etc. is OK.
  222. exec 5>>config.log
  223. {
  224. echo
  225. sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  226. ## Running $as_me. ##
  227. _ASBOX
  228. } >&5
  229. cat >&5 <<_CSEOF
  230. This file was extended by ifmetric $as_me 0.3, which was
  231. generated by GNU Autoconf 2.59. Invocation command line was
  232. CONFIG_FILES = $CONFIG_FILES
  233. CONFIG_HEADERS = $CONFIG_HEADERS
  234. CONFIG_LINKS = $CONFIG_LINKS
  235. CONFIG_COMMANDS = $CONFIG_COMMANDS
  236. $ $0 $@
  237. _CSEOF
  238. echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
  239. echo >&5
  240. config_files=" src/Makefile Makefile man/Makefile doc/Makefile doc/README.html"
  241. config_headers=" config.h"
  242. config_commands=" depfiles"
  243. ac_cs_usage="\
  244. \`$as_me' instantiates files from templates according to the
  245. current configuration.
  246. Usage: $0 [OPTIONS] [FILE]...
  247. -h, --help print this help, then exit
  248. -V, --version print version number, then exit
  249. -q, --quiet do not print progress messages
  250. -d, --debug don't remove temporary files
  251. --recheck update $as_me by reconfiguring in the same conditions
  252. --file=FILE[:TEMPLATE]
  253. instantiate the configuration file FILE
  254. --header=FILE[:TEMPLATE]
  255. instantiate the configuration header FILE
  256. Configuration files:
  257. $config_files
  258. Configuration headers:
  259. $config_headers
  260. Configuration commands:
  261. $config_commands
  262. Report bugs to <bug-autoconf@gnu.org>."
  263. ac_cs_version="\
  264. ifmetric config.status 0.3
  265. configured by ./configure, generated by GNU Autoconf 2.59,
  266. with options \"'--host=arm-linux-gnueabihf' '--prefix=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/release' 'CC=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc' 'AR=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar' 'RANLIB=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ranlib' 'STRIP=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-strip' 'CXX=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-g++' 'host_alias=arm-linux-gnueabihf'\"
  267. Copyright (C) 2003 Free Software Foundation, Inc.
  268. This config.status script is free software; the Free Software Foundation
  269. gives unlimited permission to copy, distribute and modify it."
  270. srcdir=.
  271. INSTALL="/usr/bin/install -c"
  272. # If no file are specified by the user, then we need to provide default
  273. # value. By we need to know if files were specified by the user.
  274. ac_need_defaults=:
  275. while test $# != 0
  276. do
  277. case $1 in
  278. --*=*)
  279. ac_option=`expr "x$1" : 'x\([^=]*\)='`
  280. ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
  281. ac_shift=:
  282. ;;
  283. -*)
  284. ac_option=$1
  285. ac_optarg=$2
  286. ac_shift=shift
  287. ;;
  288. *) # This is not an option, so the user has probably given explicit
  289. # arguments.
  290. ac_option=$1
  291. ac_need_defaults=false;;
  292. esac
  293. case $ac_option in
  294. # Handling of the options.
  295. -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  296. ac_cs_recheck=: ;;
  297. --version | --vers* | -V )
  298. echo "$ac_cs_version"; exit 0 ;;
  299. --he | --h)
  300. # Conflict between --help and --header
  301. { { echo "$as_me:$LINENO: error: ambiguous option: $1
  302. Try \`$0 --help' for more information." >&5
  303. echo "$as_me: error: ambiguous option: $1
  304. Try \`$0 --help' for more information." >&2;}
  305. { (exit 1); exit 1; }; };;
  306. --help | --hel | -h )
  307. echo "$ac_cs_usage"; exit 0 ;;
  308. --debug | --d* | -d )
  309. debug=: ;;
  310. --file | --fil | --fi | --f )
  311. $ac_shift
  312. CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  313. ac_need_defaults=false;;
  314. --header | --heade | --head | --hea )
  315. $ac_shift
  316. CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  317. ac_need_defaults=false;;
  318. -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  319. | -silent | --silent | --silen | --sile | --sil | --si | --s)
  320. ac_cs_silent=: ;;
  321. # This is an error.
  322. -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
  323. Try \`$0 --help' for more information." >&5
  324. echo "$as_me: error: unrecognized option: $1
  325. Try \`$0 --help' for more information." >&2;}
  326. { (exit 1); exit 1; }; } ;;
  327. *) ac_config_targets="$ac_config_targets $1" ;;
  328. esac
  329. shift
  330. done
  331. ac_configure_extra_args=
  332. if $ac_cs_silent; then
  333. exec 6>/dev/null
  334. ac_configure_extra_args="$ac_configure_extra_args --silent"
  335. fi
  336. if $ac_cs_recheck; then
  337. echo "running /bin/bash ./configure " '--host=arm-linux-gnueabihf' '--prefix=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/release' 'CC=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc' 'AR=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar' 'RANLIB=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ranlib' 'STRIP=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-strip' 'CXX=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-g++' 'host_alias=arm-linux-gnueabihf' $ac_configure_extra_args " --no-create --no-recursion" >&6
  338. exec /bin/bash ./configure '--host=arm-linux-gnueabihf' '--prefix=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/release' 'CC=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc' 'AR=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar' 'RANLIB=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ranlib' 'STRIP=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-strip' 'CXX=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-g++' 'host_alias=arm-linux-gnueabihf' $ac_configure_extra_args --no-create --no-recursion
  339. fi
  340. #
  341. # INIT-COMMANDS section.
  342. #
  343. AMDEP_TRUE="" ac_aux_dir="."
  344. for ac_config_target in $ac_config_targets
  345. do
  346. case "$ac_config_target" in
  347. # Handling of arguments.
  348. "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
  349. "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  350. "man/Makefile" ) CONFIG_FILES="$CONFIG_FILES man/Makefile" ;;
  351. "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
  352. "doc/README.html" ) CONFIG_FILES="$CONFIG_FILES doc/README.html" ;;
  353. "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
  354. "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  355. *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  356. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  357. { (exit 1); exit 1; }; };;
  358. esac
  359. done
  360. # If the user did not use the arguments to specify the items to instantiate,
  361. # then the envvar interface is used. Set only those that are not.
  362. # We use the long form for the default assignment because of an extremely
  363. # bizarre bug on SunOS 4.1.3.
  364. if $ac_need_defaults; then
  365. test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  366. test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  367. test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
  368. fi
  369. # Have a temporary directory for convenience. Make it in the build tree
  370. # simply because there is no reason to put it here, and in addition,
  371. # creating and moving files from /tmp can sometimes cause problems.
  372. # Create a temporary directory, and hook for its removal unless debugging.
  373. $debug ||
  374. {
  375. trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  376. trap '{ (exit 1); exit 1; }' 1 2 13 15
  377. }
  378. # Create a (secure) tmp directory for tmp files.
  379. {
  380. tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
  381. test -n "$tmp" && test -d "$tmp"
  382. } ||
  383. {
  384. tmp=./confstat$$-$RANDOM
  385. (umask 077 && mkdir $tmp)
  386. } ||
  387. {
  388. echo "$me: cannot create a temporary directory in ." >&2
  389. { (exit 1); exit 1; }
  390. }
  391. #
  392. # CONFIG_FILES section.
  393. #
  394. # No need to generate the scripts if there are no CONFIG_FILES.
  395. # This happens for instance when ./config.status config.h
  396. if test -n "$CONFIG_FILES"; then
  397. # Protect against being on the right side of a sed subst in config.status.
  398. sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
  399. s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
  400. s,@SHELL@,/bin/bash,;t t
  401. s,@PATH_SEPARATOR@,:,;t t
  402. s,@PACKAGE_NAME@,ifmetric,;t t
  403. s,@PACKAGE_TARNAME@,ifmetric,;t t
  404. s,@PACKAGE_VERSION@,0.3,;t t
  405. s,@PACKAGE_STRING@,ifmetric 0.3,;t t
  406. s,@PACKAGE_BUGREPORT@,mzvszrgevp (at) 0pointer (dot) de,;t t
  407. s,@exec_prefix@,${prefix},;t t
  408. s,@prefix@,/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/release,;t t
  409. s,@program_transform_name@,s,x,x,,;t t
  410. s,@bindir@,${exec_prefix}/bin,;t t
  411. s,@sbindir@,${exec_prefix}/sbin,;t t
  412. s,@libexecdir@,${exec_prefix}/libexec,;t t
  413. s,@datadir@,${prefix}/share,;t t
  414. s,@sysconfdir@,${prefix}/etc,;t t
  415. s,@sharedstatedir@,${prefix}/com,;t t
  416. s,@localstatedir@,${prefix}/var,;t t
  417. s,@libdir@,${exec_prefix}/lib,;t t
  418. s,@includedir@,${prefix}/include,;t t
  419. s,@oldincludedir@,/usr/include,;t t
  420. s,@infodir@,${prefix}/info,;t t
  421. s,@mandir@,${prefix}/man,;t t
  422. s,@build_alias@,,;t t
  423. s,@host_alias@,arm-linux-gnueabihf,;t t
  424. s,@target_alias@,,;t t
  425. s,@DEFS@,-DHAVE_CONFIG_H,;t t
  426. s,@ECHO_C@,,;t t
  427. s,@ECHO_N@,-n,;t t
  428. s,@ECHO_T@,,;t t
  429. s,@LIBS@,,;t t
  430. s,@INSTALL_PROGRAM@,${INSTALL},;t t
  431. s,@INSTALL_SCRIPT@,${INSTALL},;t t
  432. s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
  433. s,@CYGPATH_W@,echo,;t t
  434. s,@PACKAGE@,ifmetric,;t t
  435. s,@VERSION@,0.3,;t t
  436. s,@ACLOCAL@,${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run aclocal-1.7,;t t
  437. s,@AUTOCONF@,${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run autoconf,;t t
  438. s,@AUTOMAKE@,${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run automake-1.7,;t t
  439. s,@AUTOHEADER@,${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run autoheader,;t t
  440. s,@MAKEINFO@,${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run makeinfo,;t t
  441. s,@AMTAR@,${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/missing --run tar,;t t
  442. s,@install_sh@,/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/ifmetric-0.3/install-sh,;t t
  443. s,@STRIP@,/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-strip,;t t
  444. s,@ac_ct_STRIP@,,;t t
  445. s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
  446. s,@AWK@,gawk,;t t
  447. s,@SET_MAKE@,,;t t
  448. s,@am__leading_dot@,.,;t t
  449. s,@PACKAGE_URL@,http://0pointer.de/lennart/projects/ifmetric/,;t t
  450. s,@CC@,/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc,;t t
  451. s,@CFLAGS@,-g -O2 -pipe -Wall,;t t
  452. s,@LDFLAGS@,,;t t
  453. s,@CPPFLAGS@,,;t t
  454. s,@ac_ct_CC@,,;t t
  455. s,@EXEEXT@,,;t t
  456. s,@OBJEXT@,o,;t t
  457. s,@DEPDIR@,.deps,;t t
  458. s,@am__include@,include,;t t
  459. s,@am__quote@,,;t t
  460. s,@AMDEP_TRUE@,,;t t
  461. s,@AMDEP_FALSE@,#,;t t
  462. s,@AMDEPBACKSLASH@,\,;t t
  463. s,@CCDEPMODE@,depmode=gcc3,;t t
  464. s,@am__fastdepCC_TRUE@,,;t t
  465. s,@am__fastdepCC_FALSE@,#,;t t
  466. s,@CPP@,/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E,;t t
  467. s,@EGREP@,grep -E,;t t
  468. s,@LIBOBJS@, malloc$U.o realloc$U.o,;t t
  469. s,@LN_S@,ln -s,;t t
  470. s,@have_lynx@,yes,;t t
  471. s,@USE_LYNX_TRUE@,,;t t
  472. s,@USE_LYNX_FALSE@,#,;t t
  473. s,@have_xmltoman@,no,;t t
  474. s,@USE_XMLTOMAN_TRUE@,#,;t t
  475. s,@USE_XMLTOMAN_FALSE@,,;t t
  476. s,@LTLIBOBJS@, malloc$U.lo realloc$U.lo,;t t
  477. CEOF
  478. # Split the substitutions into bite-sized pieces for seds with
  479. # small command number limits, like on Digital OSF/1 and HP-UX.
  480. ac_max_sed_lines=48
  481. ac_sed_frag=1 # Number of current file.
  482. ac_beg=1 # First line for current file.
  483. ac_end=$ac_max_sed_lines # Line after last line for current file.
  484. ac_more_lines=:
  485. ac_sed_cmds=
  486. while $ac_more_lines; do
  487. if test $ac_beg -gt 1; then
  488. sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  489. else
  490. sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  491. fi
  492. if test ! -s $tmp/subs.frag; then
  493. ac_more_lines=false
  494. else
  495. # The purpose of the label and of the branching condition is to
  496. # speed up the sed processing (if there are no `@' at all, there
  497. # is no need to browse any of the substitutions).
  498. # These are the two extra sed commands mentioned above.
  499. (echo ':t
  500. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  501. if test -z "$ac_sed_cmds"; then
  502. ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  503. else
  504. ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  505. fi
  506. ac_sed_frag=`expr $ac_sed_frag + 1`
  507. ac_beg=$ac_end
  508. ac_end=`expr $ac_end + $ac_max_sed_lines`
  509. fi
  510. done
  511. if test -z "$ac_sed_cmds"; then
  512. ac_sed_cmds=cat
  513. fi
  514. fi # test -n "$CONFIG_FILES"
  515. for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  516. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  517. case $ac_file in
  518. - | *:- | *:-:* ) # input from stdin
  519. cat >$tmp/stdin
  520. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  521. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  522. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  523. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  524. * ) ac_file_in=$ac_file.in ;;
  525. esac
  526. # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  527. ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  528. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  529. X"$ac_file" : 'X\(//\)[^/]' \| \
  530. X"$ac_file" : 'X\(//\)$' \| \
  531. X"$ac_file" : 'X\(/\)' \| \
  532. . : '\(.\)' 2>/dev/null ||
  533. echo X"$ac_file" |
  534. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  535. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  536. /^X\(\/\/\)$/{ s//\1/; q; }
  537. /^X\(\/\).*/{ s//\1/; q; }
  538. s/.*/./; q'`
  539. { if $as_mkdir_p; then
  540. mkdir -p "$ac_dir"
  541. else
  542. as_dir="$ac_dir"
  543. as_dirs=
  544. while test ! -d "$as_dir"; do
  545. as_dirs="$as_dir $as_dirs"
  546. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  547. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  548. X"$as_dir" : 'X\(//\)[^/]' \| \
  549. X"$as_dir" : 'X\(//\)$' \| \
  550. X"$as_dir" : 'X\(/\)' \| \
  551. . : '\(.\)' 2>/dev/null ||
  552. echo X"$as_dir" |
  553. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  554. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  555. /^X\(\/\/\)$/{ s//\1/; q; }
  556. /^X\(\/\).*/{ s//\1/; q; }
  557. s/.*/./; q'`
  558. done
  559. test ! -n "$as_dirs" || mkdir $as_dirs
  560. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  561. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  562. { (exit 1); exit 1; }; }; }
  563. ac_builddir=.
  564. if test "$ac_dir" != .; then
  565. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  566. # A "../" for each directory in $ac_dir_suffix.
  567. ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
  568. else
  569. ac_dir_suffix= ac_top_builddir=
  570. fi
  571. case $srcdir in
  572. .) # No --srcdir option. We are building in place.
  573. ac_srcdir=.
  574. if test -z "$ac_top_builddir"; then
  575. ac_top_srcdir=.
  576. else
  577. ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  578. fi ;;
  579. [\\/]* | ?:[\\/]* ) # Absolute path.
  580. ac_srcdir=$srcdir$ac_dir_suffix;
  581. ac_top_srcdir=$srcdir ;;
  582. *) # Relative path.
  583. ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  584. ac_top_srcdir=$ac_top_builddir$srcdir ;;
  585. esac
  586. # Do not use `cd foo && pwd` to compute absolute paths, because
  587. # the directories may not exist.
  588. case `pwd` in
  589. .) ac_abs_builddir="$ac_dir";;
  590. *)
  591. case "$ac_dir" in
  592. .) ac_abs_builddir=`pwd`;;
  593. [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
  594. *) ac_abs_builddir=`pwd`/"$ac_dir";;
  595. esac;;
  596. esac
  597. case $ac_abs_builddir in
  598. .) ac_abs_top_builddir=${ac_top_builddir}.;;
  599. *)
  600. case ${ac_top_builddir}. in
  601. .) ac_abs_top_builddir=$ac_abs_builddir;;
  602. [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  603. *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  604. esac;;
  605. esac
  606. case $ac_abs_builddir in
  607. .) ac_abs_srcdir=$ac_srcdir;;
  608. *)
  609. case $ac_srcdir in
  610. .) ac_abs_srcdir=$ac_abs_builddir;;
  611. [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
  612. *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  613. esac;;
  614. esac
  615. case $ac_abs_builddir in
  616. .) ac_abs_top_srcdir=$ac_top_srcdir;;
  617. *)
  618. case $ac_top_srcdir in
  619. .) ac_abs_top_srcdir=$ac_abs_builddir;;
  620. [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  621. *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  622. esac;;
  623. esac
  624. case $INSTALL in
  625. [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  626. *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
  627. esac
  628. # Let's still pretend it is `configure' which instantiates (i.e., don't
  629. # use $as_me), people would be surprised to read:
  630. # /* config.h. Generated by config.status. */
  631. if test x"$ac_file" = x-; then
  632. configure_input=
  633. else
  634. configure_input="$ac_file. "
  635. fi
  636. configure_input=$configure_input"Generated from `echo $ac_file_in |
  637. sed 's,.*/,,'` by configure."
  638. # First look for the input files in the build tree, otherwise in the
  639. # src tree.
  640. ac_file_inputs=`IFS=:
  641. for f in $ac_file_in; do
  642. case $f in
  643. -) echo $tmp/stdin ;;
  644. [\\/$]*)
  645. # Absolute (can't be DOS-style, as IFS=:)
  646. test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  647. echo "$as_me: error: cannot find input file: $f" >&2;}
  648. { (exit 1); exit 1; }; }
  649. echo "$f";;
  650. *) # Relative
  651. if test -f "$f"; then
  652. # Build tree
  653. echo "$f"
  654. elif test -f "$srcdir/$f"; then
  655. # Source tree
  656. echo "$srcdir/$f"
  657. else
  658. # /dev/null tree
  659. { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  660. echo "$as_me: error: cannot find input file: $f" >&2;}
  661. { (exit 1); exit 1; }; }
  662. fi;;
  663. esac
  664. done` || { (exit 1); exit 1; }
  665. if test x"$ac_file" != x-; then
  666. { echo "$as_me:$LINENO: creating $ac_file" >&5
  667. echo "$as_me: creating $ac_file" >&6;}
  668. rm -f "$ac_file"
  669. fi
  670. sed "/^[ ]*VPATH[ ]*=/{
  671. s/:*\$(srcdir):*/:/;
  672. s/:*\${srcdir}:*/:/;
  673. s/:*@srcdir@:*/:/;
  674. s/^\([^=]*=[ ]*\):*/\1/;
  675. s/:*$//;
  676. s/^[^=]*=[ ]*$//;
  677. }
  678. :t
  679. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  680. s,@configure_input@,$configure_input,;t t
  681. s,@srcdir@,$ac_srcdir,;t t
  682. s,@abs_srcdir@,$ac_abs_srcdir,;t t
  683. s,@top_srcdir@,$ac_top_srcdir,;t t
  684. s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
  685. s,@builddir@,$ac_builddir,;t t
  686. s,@abs_builddir@,$ac_abs_builddir,;t t
  687. s,@top_builddir@,$ac_top_builddir,;t t
  688. s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
  689. s,@INSTALL@,$ac_INSTALL,;t t
  690. " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  691. rm -f $tmp/stdin
  692. if test x"$ac_file" != x-; then
  693. mv $tmp/out $ac_file
  694. else
  695. cat $tmp/out
  696. rm -f $tmp/out
  697. fi
  698. done
  699. #
  700. # CONFIG_HEADER section.
  701. #
  702. # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  703. # NAME is the cpp macro being defined and VALUE is the value it is being given.
  704. #
  705. # ac_d sets the value in "#define NAME VALUE" lines.
  706. ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
  707. ac_dB='[ ].*$,\1#\2'
  708. ac_dC=' '
  709. ac_dD=',;t'
  710. # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  711. ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
  712. ac_uB='$,\1#\2define\3'
  713. ac_uC=' '
  714. ac_uD=',;t'
  715. for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  716. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  717. case $ac_file in
  718. - | *:- | *:-:* ) # input from stdin
  719. cat >$tmp/stdin
  720. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  721. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  722. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  723. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  724. * ) ac_file_in=$ac_file.in ;;
  725. esac
  726. test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
  727. echo "$as_me: creating $ac_file" >&6;}
  728. # First look for the input files in the build tree, otherwise in the
  729. # src tree.
  730. ac_file_inputs=`IFS=:
  731. for f in $ac_file_in; do
  732. case $f in
  733. -) echo $tmp/stdin ;;
  734. [\\/$]*)
  735. # Absolute (can't be DOS-style, as IFS=:)
  736. test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  737. echo "$as_me: error: cannot find input file: $f" >&2;}
  738. { (exit 1); exit 1; }; }
  739. # Do quote $f, to prevent DOS paths from being IFS'd.
  740. echo "$f";;
  741. *) # Relative
  742. if test -f "$f"; then
  743. # Build tree
  744. echo "$f"
  745. elif test -f "$srcdir/$f"; then
  746. # Source tree
  747. echo "$srcdir/$f"
  748. else
  749. # /dev/null tree
  750. { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  751. echo "$as_me: error: cannot find input file: $f" >&2;}
  752. { (exit 1); exit 1; }; }
  753. fi;;
  754. esac
  755. done` || { (exit 1); exit 1; }
  756. # Remove the trailing spaces.
  757. sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
  758. # Handle all the #define templates only if necessary.
  759. if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
  760. # If there are no defines, we may have an empty if/fi
  761. :
  762. cat >$tmp/defines.sed <<CEOF
  763. /^[ ]*#[ ]*define/!b
  764. t clr
  765. : clr
  766. ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"ifmetric"${ac_dD}
  767. ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"ifmetric"${ac_dD}
  768. ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"0.3"${ac_dD}
  769. ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"ifmetric 0.3"${ac_dD}
  770. ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"mzvszrgevp (at) 0pointer (dot) de"${ac_dD}
  771. ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"ifmetric"${ac_dD}
  772. ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.3"${ac_dD}
  773. ${ac_dA}HAVE_MEMSET${ac_dB}HAVE_MEMSET${ac_dC}1${ac_dD}
  774. ${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
  775. ${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
  776. ${ac_dA}HAVE_STRRCHR${ac_dB}HAVE_STRRCHR${ac_dC}1${ac_dD}
  777. ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
  778. ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
  779. ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
  780. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  781. ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
  782. ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
  783. ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
  784. ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
  785. ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
  786. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  787. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  788. ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
  789. ${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
  790. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  791. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  792. ${ac_dA}HAVE_MALLOC${ac_dB}HAVE_MALLOC${ac_dC}0${ac_dD}
  793. ${ac_dA}malloc${ac_dB}malloc${ac_dC}rpl_malloc${ac_dD}
  794. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  795. ${ac_dA}HAVE_REALLOC${ac_dB}HAVE_REALLOC${ac_dC}0${ac_dD}
  796. ${ac_dA}realloc${ac_dB}realloc${ac_dC}rpl_realloc${ac_dD}
  797. ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
  798. CEOF
  799. sed -f $tmp/defines.sed $tmp/in >$tmp/out
  800. rm -f $tmp/in
  801. mv $tmp/out $tmp/in
  802. fi # grep
  803. # Handle all the #undef templates
  804. cat >$tmp/undefs.sed <<CEOF
  805. /^[ ]*#[ ]*undef/!b
  806. t clr
  807. : clr
  808. ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"ifmetric"${ac_uD}
  809. ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"ifmetric"${ac_uD}
  810. ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"0.3"${ac_uD}
  811. ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"ifmetric 0.3"${ac_uD}
  812. ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"mzvszrgevp (at) 0pointer (dot) de"${ac_uD}
  813. ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"ifmetric"${ac_uD}
  814. ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.3"${ac_uD}
  815. ${ac_uA}HAVE_MEMSET${ac_uB}HAVE_MEMSET${ac_uC}1${ac_uD}
  816. ${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
  817. ${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
  818. ${ac_uA}HAVE_STRRCHR${ac_uB}HAVE_STRRCHR${ac_uC}1${ac_uD}
  819. ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
  820. ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
  821. ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
  822. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  823. ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
  824. ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
  825. ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
  826. ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
  827. ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
  828. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  829. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  830. ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
  831. ${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
  832. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  833. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  834. ${ac_uA}HAVE_MALLOC${ac_uB}HAVE_MALLOC${ac_uC}0${ac_uD}
  835. ${ac_uA}malloc${ac_uB}malloc${ac_uC}rpl_malloc${ac_uD}
  836. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  837. ${ac_uA}HAVE_REALLOC${ac_uB}HAVE_REALLOC${ac_uC}0${ac_uD}
  838. ${ac_uA}realloc${ac_uB}realloc${ac_uC}rpl_realloc${ac_uD}
  839. ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
  840. s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
  841. CEOF
  842. sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  843. rm -f $tmp/in
  844. mv $tmp/out $tmp/in
  845. # Let's still pretend it is `configure' which instantiates (i.e., don't
  846. # use $as_me), people would be surprised to read:
  847. # /* config.h. Generated by config.status. */
  848. if test x"$ac_file" = x-; then
  849. echo "/* Generated by configure. */" >$tmp/config.h
  850. else
  851. echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
  852. fi
  853. cat $tmp/in >>$tmp/config.h
  854. rm -f $tmp/in
  855. if test x"$ac_file" != x-; then
  856. if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
  857. { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  858. echo "$as_me: $ac_file is unchanged" >&6;}
  859. else
  860. ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  861. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  862. X"$ac_file" : 'X\(//\)[^/]' \| \
  863. X"$ac_file" : 'X\(//\)$' \| \
  864. X"$ac_file" : 'X\(/\)' \| \
  865. . : '\(.\)' 2>/dev/null ||
  866. echo X"$ac_file" |
  867. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  868. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  869. /^X\(\/\/\)$/{ s//\1/; q; }
  870. /^X\(\/\).*/{ s//\1/; q; }
  871. s/.*/./; q'`
  872. { if $as_mkdir_p; then
  873. mkdir -p "$ac_dir"
  874. else
  875. as_dir="$ac_dir"
  876. as_dirs=
  877. while test ! -d "$as_dir"; do
  878. as_dirs="$as_dir $as_dirs"
  879. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  880. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  881. X"$as_dir" : 'X\(//\)[^/]' \| \
  882. X"$as_dir" : 'X\(//\)$' \| \
  883. X"$as_dir" : 'X\(/\)' \| \
  884. . : '\(.\)' 2>/dev/null ||
  885. echo X"$as_dir" |
  886. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  887. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  888. /^X\(\/\/\)$/{ s//\1/; q; }
  889. /^X\(\/\).*/{ s//\1/; q; }
  890. s/.*/./; q'`
  891. done
  892. test ! -n "$as_dirs" || mkdir $as_dirs
  893. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  894. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  895. { (exit 1); exit 1; }; }; }
  896. rm -f $ac_file
  897. mv $tmp/config.h $ac_file
  898. fi
  899. else
  900. cat $tmp/config.h
  901. rm -f $tmp/config.h
  902. fi
  903. # Compute $ac_file's index in $config_headers.
  904. _am_stamp_count=1
  905. for _am_header in $config_headers :; do
  906. case $_am_header in
  907. $ac_file | $ac_file:* )
  908. break ;;
  909. * )
  910. _am_stamp_count=`expr $_am_stamp_count + 1` ;;
  911. esac
  912. done
  913. echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
  914. $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  915. X$ac_file : 'X\(//\)[^/]' \| \
  916. X$ac_file : 'X\(//\)$' \| \
  917. X$ac_file : 'X\(/\)' \| \
  918. . : '\(.\)' 2>/dev/null ||
  919. echo X$ac_file |
  920. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  921. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  922. /^X\(\/\/\)$/{ s//\1/; q; }
  923. /^X\(\/\).*/{ s//\1/; q; }
  924. s/.*/./; q'`/stamp-h$_am_stamp_count
  925. done
  926. #
  927. # CONFIG_COMMANDS section.
  928. #
  929. for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
  930. ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
  931. ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
  932. ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
  933. $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  934. X"$ac_dest" : 'X\(//\)[^/]' \| \
  935. X"$ac_dest" : 'X\(//\)$' \| \
  936. X"$ac_dest" : 'X\(/\)' \| \
  937. . : '\(.\)' 2>/dev/null ||
  938. echo X"$ac_dest" |
  939. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  940. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  941. /^X\(\/\/\)$/{ s//\1/; q; }
  942. /^X\(\/\).*/{ s//\1/; q; }
  943. s/.*/./; q'`
  944. { if $as_mkdir_p; then
  945. mkdir -p "$ac_dir"
  946. else
  947. as_dir="$ac_dir"
  948. as_dirs=
  949. while test ! -d "$as_dir"; do
  950. as_dirs="$as_dir $as_dirs"
  951. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  952. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  953. X"$as_dir" : 'X\(//\)[^/]' \| \
  954. X"$as_dir" : 'X\(//\)$' \| \
  955. X"$as_dir" : 'X\(/\)' \| \
  956. . : '\(.\)' 2>/dev/null ||
  957. echo X"$as_dir" |
  958. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  959. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  960. /^X\(\/\/\)$/{ s//\1/; q; }
  961. /^X\(\/\).*/{ s//\1/; q; }
  962. s/.*/./; q'`
  963. done
  964. test ! -n "$as_dirs" || mkdir $as_dirs
  965. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  966. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  967. { (exit 1); exit 1; }; }; }
  968. ac_builddir=.
  969. if test "$ac_dir" != .; then
  970. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  971. # A "../" for each directory in $ac_dir_suffix.
  972. ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
  973. else
  974. ac_dir_suffix= ac_top_builddir=
  975. fi
  976. case $srcdir in
  977. .) # No --srcdir option. We are building in place.
  978. ac_srcdir=.
  979. if test -z "$ac_top_builddir"; then
  980. ac_top_srcdir=.
  981. else
  982. ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  983. fi ;;
  984. [\\/]* | ?:[\\/]* ) # Absolute path.
  985. ac_srcdir=$srcdir$ac_dir_suffix;
  986. ac_top_srcdir=$srcdir ;;
  987. *) # Relative path.
  988. ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  989. ac_top_srcdir=$ac_top_builddir$srcdir ;;
  990. esac
  991. # Do not use `cd foo && pwd` to compute absolute paths, because
  992. # the directories may not exist.
  993. case `pwd` in
  994. .) ac_abs_builddir="$ac_dir";;
  995. *)
  996. case "$ac_dir" in
  997. .) ac_abs_builddir=`pwd`;;
  998. [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
  999. *) ac_abs_builddir=`pwd`/"$ac_dir";;
  1000. esac;;
  1001. esac
  1002. case $ac_abs_builddir in
  1003. .) ac_abs_top_builddir=${ac_top_builddir}.;;
  1004. *)
  1005. case ${ac_top_builddir}. in
  1006. .) ac_abs_top_builddir=$ac_abs_builddir;;
  1007. [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  1008. *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  1009. esac;;
  1010. esac
  1011. case $ac_abs_builddir in
  1012. .) ac_abs_srcdir=$ac_srcdir;;
  1013. *)
  1014. case $ac_srcdir in
  1015. .) ac_abs_srcdir=$ac_abs_builddir;;
  1016. [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
  1017. *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  1018. esac;;
  1019. esac
  1020. case $ac_abs_builddir in
  1021. .) ac_abs_top_srcdir=$ac_top_srcdir;;
  1022. *)
  1023. case $ac_top_srcdir in
  1024. .) ac_abs_top_srcdir=$ac_abs_builddir;;
  1025. [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  1026. *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  1027. esac;;
  1028. esac
  1029. { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
  1030. echo "$as_me: executing $ac_dest commands" >&6;}
  1031. case $ac_dest in
  1032. depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
  1033. # Strip MF so we end up with the name of the file.
  1034. mf=`echo "$mf" | sed -e 's/:.*$//'`
  1035. # Check whether this is an Automake generated Makefile or not.
  1036. # We used to match only the files named `Makefile.in', but
  1037. # some people rename them; so instead we look at the file content.
  1038. # Grep'ing the first line is not enough: some people post-process
  1039. # each Makefile.in and add a new line on top of each file to say so.
  1040. # So let's grep whole file.
  1041. if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
  1042. dirpart=`(dirname "$mf") 2>/dev/null ||
  1043. $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1044. X"$mf" : 'X\(//\)[^/]' \| \
  1045. X"$mf" : 'X\(//\)$' \| \
  1046. X"$mf" : 'X\(/\)' \| \
  1047. . : '\(.\)' 2>/dev/null ||
  1048. echo X"$mf" |
  1049. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1050. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1051. /^X\(\/\/\)$/{ s//\1/; q; }
  1052. /^X\(\/\).*/{ s//\1/; q; }
  1053. s/.*/./; q'`
  1054. else
  1055. continue
  1056. fi
  1057. grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
  1058. # Extract the definition of DEP_FILES from the Makefile without
  1059. # running `make'.
  1060. DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
  1061. test -z "$DEPDIR" && continue
  1062. # When using ansi2knr, U may be empty or an underscore; expand it
  1063. U=`sed -n -e '/^U = / s///p' < "$mf"`
  1064. test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
  1065. # We invoke sed twice because it is the simplest approach to
  1066. # changing $(DEPDIR) to its actual value in the expansion.
  1067. for file in `sed -n -e '
  1068. /^DEP_FILES = .*\\\\$/ {
  1069. s/^DEP_FILES = //
  1070. :loop
  1071. s/\\\\$//
  1072. p
  1073. n
  1074. /\\\\$/ b loop
  1075. p
  1076. }
  1077. /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
  1078. sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
  1079. # Make sure the directory exists.
  1080. test -f "$dirpart/$file" && continue
  1081. fdir=`(dirname "$file") 2>/dev/null ||
  1082. $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1083. X"$file" : 'X\(//\)[^/]' \| \
  1084. X"$file" : 'X\(//\)$' \| \
  1085. X"$file" : 'X\(/\)' \| \
  1086. . : '\(.\)' 2>/dev/null ||
  1087. echo X"$file" |
  1088. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1089. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1090. /^X\(\/\/\)$/{ s//\1/; q; }
  1091. /^X\(\/\).*/{ s//\1/; q; }
  1092. s/.*/./; q'`
  1093. { if $as_mkdir_p; then
  1094. mkdir -p $dirpart/$fdir
  1095. else
  1096. as_dir=$dirpart/$fdir
  1097. as_dirs=
  1098. while test ! -d "$as_dir"; do
  1099. as_dirs="$as_dir $as_dirs"
  1100. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  1101. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1102. X"$as_dir" : 'X\(//\)[^/]' \| \
  1103. X"$as_dir" : 'X\(//\)$' \| \
  1104. X"$as_dir" : 'X\(/\)' \| \
  1105. . : '\(.\)' 2>/dev/null ||
  1106. echo X"$as_dir" |
  1107. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1108. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1109. /^X\(\/\/\)$/{ s//\1/; q; }
  1110. /^X\(\/\).*/{ s//\1/; q; }
  1111. s/.*/./; q'`
  1112. done
  1113. test ! -n "$as_dirs" || mkdir $as_dirs
  1114. fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
  1115. echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
  1116. { (exit 1); exit 1; }; }; }
  1117. # echo "creating $dirpart/$file"
  1118. echo '# dummy' > "$dirpart/$file"
  1119. done
  1120. done
  1121. ;;
  1122. esac
  1123. done
  1124. { (exit 0); exit 0; }